Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.configurator
Interface IPlatformConfiguration.ISitePolicy

Enclosing interface:
  IPlatformConfiguration

public static interface IPlatformConfiguration.ISitePolicy

Site policy. The site policy object determines how plug-ins contained on the site are processed during startup. In general, there are 3 ways of configuring a site policy

- explicitly specify which plug-ins are to be included at startup (type==USER_INCLUDE). Any other plug-ins located at the site are ignored at startup. This is typically the best policy when using remote sites where the user wishes to retain explicit control over the plug-ins that are included from such site.
- explicitly specify which plug-ins are to be excluded at startup (type==USER-EXCLUDE). All other plug-ins located at the site are used at startup. This policy requires that the site support an access "protocol" that allows plug-in discovery. In general, these are sites defined using the "file" URL protocol. This is typically the best policy for local install sites (on the user system).

Since:
  2.0

Field Summary
`static int` | `USER_EXCLUDE` User-defined exclusion list.
`static int` | `USER_INCLUDE` User-defined inclusion list.

Method Summary
`String[]` | `getList()` Return policy inclusion/ exclusion list
`int` | `getType()` Return policy type
`void` | `setList(String[] list)` Set new policy list.

Field Detail

### USER_INCLUDE

    public static final int USER_INCLUDE

  User-defined inclusion list. The list associated with this policy type is interpreted as path entries to included plugin.xml or fragment.xml relative to the site URL

  See Also:
    Constant Field Values

### USER_EXCLUDE

    public static final int USER_EXCLUDE

  User-defined exclusion list. The list associated with this policy type is interpreted as path entries to excluded plugin.xml or fragment.xml relative to the site URL

  See Also:
    Constant Field Values

Method Detail

### getType

    public int getType()

  Return policy type

  Returns:
    policy type
  Since:
    2.0

### getList

    public String[] getList()

  Return policy inclusion/ exclusion list

  Returns:
    the list as an array
  Since:
    2.0

### setList

    public void setList(String[] list)

  Set new policy list. The list entries are interpreted based on the policy type. See description of the policy type constants for details.

  Parameters:
    `list` - policy inclusion/ exclusion list as an array. Returns an empty array if there are no entries.
  Since:
    2.0
  See Also:
    `USER_INCLUDE`, `USER_EXCLUDE`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.